import { Destroyable } from "vtxf-xe2/dist-node/xe2-base-utils";
import { ViewerInstance } from "./ViewerInstance";
import * as Cesium from 'cesium';
export declare class GroundPrimitiveWrapper extends Destroyable {
    private _manager;
    private _primitive;
    get manager(): GroundPrimitivesManager;
    get primitive(): Cesium.GroundPolylinePrimitive | Cesium.GroundPrimitive;
    private _init;
    private _zIndex;
    get zIndex(): number;
    set zIndex(value: number);
    get zIndexChanged(): import("vtxf-xe2/dist-node/xe2-base-utils").Listener<[number, number]>;
    constructor(_manager: GroundPrimitivesManager, _primitive: Cesium.GroundPrimitive | Cesium.GroundPolylinePrimitive);
}
export declare class GroundPrimitivesManager extends Destroyable {
    private _viewerInstance;
    get viewerInstance(): ViewerInstance;
    get viewer(): Cesium.Viewer;
    private _primitiveCollection;
    get primitiveCollection(): Cesium.PrimitiveCollection;
    private _sortEvent;
    get sortEvent(): import("vtxf-xe2/dist-node/xe2-base-utils").NextAnimateFrameEvent;
    private _primitiveWrappers;
    createGroundPrimitiveWrapper(primitive: Cesium.GroundPrimitive | Cesium.GroundPolylinePrimitive): GroundPrimitiveWrapper;
    destroyGroundPrimitiveWrapper(wrapper: GroundPrimitiveWrapper): void;
    private _sortInit;
    constructor(_viewerInstance: ViewerInstance);
}
